Subject: Ticket Assigned - Feedback or suggestions
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 09 Mar 2023 16:46:22 +0000 (UTC)

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I really had a bad experience ordering from your online platform.I ordered last week  , order no: 9417444524. I received and SMS on Sunday March 5 that my order is ready to collect and after how many hours I got a call from Alghurair branch 0526473219 saying to disregard the sms because there was an issue, my item is not yet ready and wait for 2-3days , after 2 days no one reached out so I went to the shop to check it . My item was still not ready, I spoke with one of the in charge and she said there might be an issue with the system and in the store so they will try to fix it . After 2 days again I didn’t receive any updates from the branch but I got an email from center point customer service that my item is easy to collect today March 09. So I decided to visit the branch again for the second time hoping that it will be ready, but unfortunately I was so disappointed that my item is not yet ready . I’ve been waiting and receiving messages from your email and WhatsApp but when I visit the store I get nothing ! I don’t know how you treat your customers in such way. You should’ve give accurate information to avoid this kind of things to happen. The thing is I don’t have idea whom I should ask for assistance. Even this kind of issues needs time for you guys to fix . It was so disappointing. Hope it will not happen to your future customers and try to fix your system. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5820334